Web lists-archives.com

Re: Re: Re: Too many Recommends (in particular on mail-transport-agent)




I did not intend to drag the conversation off topic. It was merely an attempt to demonstrate the daisy chain effect of bloat. How a new dependency in a CLI tool could daisy chain an install of X11.

(and I thought it was still open).

To clarify and close this tangent...

nmap (bug 714320 open) "dep" on liblinear1 (bug 682062 closed)

Looking solely at the package pages themselves,

stretch/nmap (7.40-1) ---> dep: liblinear3 (>= 2.01+dfsg) ---> sug: liblinear-tools (= 2.1.0+dfsg-2) jessie/nmap (6.47-3+deb8u2) ---> dep: jessie/liblinear1 (>= 1.6) ---> sug: wheezy/liblinear-tools (= 1.8+dfsg-4) wheezy/nmap (6.00-0.3+deb7u1) ---> dep: wheezy/liblinear1 (>= 1.6) --- rec: wheezy/liblinear-tools (= 1.8+dfsg-1)

The bug only seems to persist in wheezy. On a freshly built machine using debian-stretch-DI-rc4-amd64-i386-netinst.iso, the problem no longer persists for me.

-Terry McKenna